"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const picocolors_1 = __importDefault(require("picocolors"));
const endpoint_1 = __importDefault(require("./endpoint"));
const utils_1 = require("../../utils");
const EXISTING_COMMANDS = [
    {
        command: "endpoint",
        Func: endpoint_1.default,
    },
];
class Add extends core_1.Command {
    async run() {
        const { args } = await this.parse(Add);
        const { commandArg, endpoint } = args;
        await (0, utils_1.checkCommandAndSuggest)({
            commands: EXISTING_COMMANDS,
            commandArg,
            endpoint,
            self: this,
        });
        (0, utils_1.log)(`Command ${picocolors_1.default.green("add")} require additional arguments. Please run ${picocolors_1.default.green("@vue-storefront/cli add --help")} to see available options.\n`);
        process.exit(0);
    }
}
exports.default = Add;
Add.description = "Create new endpoint boilerplate code";
Add.examples = ["@vue-storefront/cli add <command> <endpoint>"];
Add.flags = {};
Add.args = [
    {
        name: "commandArg",
        description: "Name of the command",
    },
    {
        name: "endpoint",
        description: "Name of the endpoint",
    },
];
