"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeNextPageMethod = void 0;
const fs_1 = __importDefault(require("fs"));
const utils_1 = require("../../../../../utils");
const __1 = require("..");
const writeNextPageMethod = async (endpoint) => {
    const nextPagesPath = "./playground/app/src/pages/methods";
    const folderExists = await (0, utils_1.existsDirectory)(nextPagesPath);
    if (!folderExists) {
        fs_1.default.mkdirSync(nextPagesPath, { recursive: true });
    }
    const ifPageExists = fs_1.default.existsSync(`${nextPagesPath}/${endpoint}.tsx`);
    if (ifPageExists) {
        fs_1.default.rmSync(`${nextPagesPath}/${endpoint}.tsx`, { recursive: true });
    }
    fs_1.default.writeFileSync(`${nextPagesPath}/${endpoint}.tsx`, (0, __1.getNextPageCode)(endpoint));
};
exports.writeNextPageMethod = writeNextPageMethod;
