"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeSDKMethod = void 0;
const fs_1 = __importDefault(require("fs"));
const __1 = require("..");
const writeSDKMethod = async (endpoint, isOverwrite) => {
    const sdkMethodPath = `./packages/sdk/src/methods/${endpoint}`;
    const isFileExist = fs_1.default.existsSync(sdkMethodPath);
    if (isFileExist && isOverwrite) {
        fs_1.default.rmSync(sdkMethodPath, { recursive: true });
    }
    if (!isFileExist) {
        fs_1.default.appendFileSync("./packages/sdk/src/methods/index.ts", `\nexport { ${endpoint} } from './${endpoint}';`);
    }
    fs_1.default.mkdirSync(sdkMethodPath, { recursive: true });
    fs_1.default.writeFileSync(`${sdkMethodPath}/index.ts`, (0, __1.getSDKMethodCode)(endpoint));
};
exports.writeSDKMethod = writeSDKMethod;
