"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleFrameworkClone = void 0;
const prompts_1 = require("@clack/prompts");
const utils_1 = require("../../../../utils");
const handleFrameworkClone = async (directoryName, framework) => {
    const sp = (0, prompts_1.spinner)();
    sp.start("Cloning SDK boilerplate...");
    if (framework === "nuxt") {
        await (0, utils_1.cloneGitRepository)({
            projectDir: `${directoryName}/playground/app`,
            gitRepositoryURL: "https://github.com/vuestorefront/nuxt-sdk-playground",
        });
    }
    if (framework === "next") {
        await (0, utils_1.cloneGitRepository)({
            projectDir: `${directoryName}/playground/app`,
            gitRepositoryURL: "https://github.com/vuestorefront/next-sdk-playground",
        });
    }
    sp.stop("SDK boilerplate has been cloned successfully!");
};
exports.handleFrameworkClone = handleFrameworkClone;
