"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFrameworkName = void 0;
const fs_1 = __importDefault(require("fs"));
const nextConfigPath = "./playground/app/next.config.js";
const nuxtConfigPath = "./playground/app/nuxt.config.ts";
const getFrameworkName = () => {
    if (fs_1.default.existsSync(nextConfigPath)) {
        return "next";
    }
    if (fs_1.default.existsSync(nuxtConfigPath)) {
        return "nuxt";
    }
    const noFramework = "Could not detect framework. No page will be generated.";
    console.warn(noFramework);
    return noFramework;
};
exports.getFrameworkName = getFrameworkName;
