"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.installDeps = void 0;
const execa_1 = __importDefault(require("execa"));
const prompts_1 = require("@clack/prompts");
const picocolors_1 = __importDefault(require("picocolors"));
/** Generate sample data and upgrade */
const installDeps = async ({ path, entryMessage, exitMessage }, packageManager) => {
    const options = {
        cwd: path,
    };
    const sp = (0, prompts_1.spinner)();
    try {
        sp.start(picocolors_1.default.cyan(entryMessage));
        await (0, execa_1.default)(packageManager, ["install"], options);
        await (0, execa_1.default)(packageManager, ["install"], { cwd: `${options.cwd}/cli` });
        sp.stop(picocolors_1.default.green(exitMessage));
    }
    catch (error) {
        console.error("Error installing dependencies:", error);
    }
};
exports.installDeps = installDeps;
